### Method

# Ide ProjectFile create_child

#### Declaration

    IdeProjectFile*
    ide_project_file_create_child (
      IdeProjectFile* self,
      GFileInfo* info
    )

#### Description

Creates a new child project file of `self`.

Available since: | 3.32

#### Parameters

`info` | `GFileInfo`
| A `GFileInfo`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `IdeProjectFile`
| An `IdeProjectFile`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.